Bug 36526

Summary: [Qt] Compilation error on Qt for Embedded Linux built with -qconfig large
Product: WebKit Reporter: Tasuku Suzuki <tasuku.suzuki>
Component: WebKit QtAssignee: Nobody <webkit-unassigned>
Status: CLOSED FIXED    
Severity: Normal CC: chinmaya, commit-queue, hausmann
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Bug Depends on:    
Bug Blocks: 35784    
Attachments:
Description Flags
add #ifndef QT_NO_PROPERTIES ~ #endif
eric: review-
add #ifndef QT_NO_ANIMATION ~ #endif
none
add #ifndef QT_NO_PROPERTIES ~ #endif none

Description Tasuku Suzuki 2010-03-24 05:44:38 PDT
-qconfig large disables some features like property, animation and so on.
Comment 1 Tasuku Suzuki 2010-03-24 06:13:52 PDT
Created attachment 51491 [details]
add #ifndef QT_NO_PROPERTIES ~ #endif
Comment 2 Tasuku Suzuki 2010-03-24 06:14:35 PDT
Created attachment 51492 [details]
add #ifndef QT_NO_ANIMATION ~ #endif
Comment 3 Eric Seidel (no email) 2010-03-24 23:36:09 PDT
Comment on attachment 51491 [details]
add #ifndef QT_NO_PROPERTIES ~ #endif

Why?  I don't understand why we want this change.

What is this intending to disable?  If it's qt-specific, why are changes required to the common files?
+#ifndef QT_NO_PROPERTIES
     PassScriptInstance createScriptInstanceForWidget(Widget*);
+#endif
Comment 4 Eric Seidel (no email) 2010-03-24 23:38:46 PDT
Comment on attachment 51492 [details]
add #ifndef QT_NO_ANIMATION ~ #endif

Makes sense.
Comment 5 Tasuku Suzuki 2010-03-25 02:24:33 PDT
Created attachment 51611 [details]
add #ifndef QT_NO_PROPERTIES ~ #endif

This is a patch which exactly disables properties.
Comment 6 WebKit Commit Bot 2010-03-25 02:41:08 PDT
Comment on attachment 51492 [details]
add #ifndef QT_NO_ANIMATION ~ #endif

Clearing flags on attachment: 51492

Committed r56523: <http://trac.webkit.org/changeset/56523>
Comment 7 Simon Hausmann 2010-04-08 01:48:56 PDT
Comment on attachment 51611 [details]
add #ifndef QT_NO_PROPERTIES ~ #endif

Clearning review as per https://bugs.webkit.org/show_bug.cgi?id=36529#c12
Comment 8 WebKit Commit Bot 2010-04-09 06:03:50 PDT
Comment on attachment 51611 [details]
add #ifndef QT_NO_PROPERTIES ~ #endif

Clearing flags on attachment: 51611

Committed r57334: <http://trac.webkit.org/changeset/57334>
Comment 9 WebKit Commit Bot 2010-04-09 06:03:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Simon Hausmann 2010-04-09 07:19:59 PDT
Revision r56523 cherry-picked into qtwebkit-2.0 with commit 288f40d3f5981eb2883e213e9bbfbb9b95e56300
Revision r57334 cherry-picked into qtwebkit-2.0 with commit 016b443201e290e91acaf2524e28139a1ce0ba6c